## maven proxy-1.2.82.10

=== requirements.txt ===
Flask
requests
flask_httpauth

## maven 3.0.4

=== debian/changelog ===
maven (3.0.4-6) unstable; urgency=low

  * Upload to unstable.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 06 May 2013 01:42:33 +0200

maven (3.0.4-5) experimental; urgency=low

  [ tony mancil ]
  * Fix typo in maven bash completion file. (Closes: #688696)
    - Thanks to Oleksandr Gavenko.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Nov 2012 20:33:54 +0100

maven (3.0.4-4) experimental; urgency=low

  * Install Maven JAR into /usr/share/java and /usr/share/maven-repo to allow
    usage by others packages.
  * d/control: Bump Standards-Version to 3.9.3: no changes needed.
  * d/copyright: Use copyright-format 1.0.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 19 Aug 2012 00:00:17 +0200

maven (3.0.4-3) unstable; urgency=low

  * Use wagon 2.x to provide http/webdav access.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 06 Feb 2012 22:31:23 +0100

maven (3.0.4-2) unstable; urgency=low

  * d/control: Add missing Vcs-* fields.
  * d/control: Force B-D on fixed plexus-containers1.5.
  * d/maven.rules: Fix FTBFS after a rebuild of plexus-containers by
    targeting explicit version.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 22 Jan 2012 15:04:14 +0100

maven (3.0.4-1) unstable; urgency=low

  * New upstream final release (same as RC5).
  * Upload to unstable this time.
  * Remove Michael, Ludovic and Torsten from Uploaders: I've added them by cut
    and pasting from maven2 package, without their approval
    (feel free to re-add yourself if you want).
  * Refresh d/patches/dep_versions.diff.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 21 Jan 2012 13:45:19 +0100

maven (3.0.4~rc3-1) experimental; urgency=low

  * New upstream major release (Closes: #592218).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 19 Dec 2011 20:17:37 +0100

=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends-Indep: ant-optional,
                     junit,
                     libaether-java,
                     libcommons-jxpath-java,
                     libcommons-logging-java,
                     libeasymock-java,
                     libmaven-ant-tasks-java (>= 2.1.3-2),
                     libmaven-clean-plugin-java,
                     libmaven-compiler-plugin-java,
                     libmaven-install-plugin-java,
                     libmaven-jar-plugin-java,
                     libmaven-parent-java,
                     libmaven-resources-plugin-java,
                     libmodello-maven-plugin1.4-java,
                     libplexus-classworlds2-java (>= 2.4),
                     libplexus-containers1.5-java (>= 1.5.5-2),
                     libplexus-utils2-java,
                     libsisu-ioc-java,
                     libsurefire-java,
                     libwagon2-java (>= 2.2-2),
                     libxmlunit-java,
                     maven-ant-helper,
                     maven-repo-helper
Build-Depends: ant, cdbs, debhelper (>= 7), default-jdk
Standards-Version: 3.9.4
Homepage: http://maven.apache.org/
Vcs-Git: git://anonscm.debian.org/pkg-java/maven.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/maven.git

Package: maven
Architecture: all
Depends: default-jre (>= 1:1.5) | default-jre-headless (>= 1:1.5) | java5-runtime | java5-runtime-headless,
         libaether-java,
         libcommons-cli-java,
         libcommons-codec-java,
         libcommons-httpclient-java,
         libcommons-logging-java,
         libguava-java,
         libplexus-cipher-java,
         libplexus-classworlds2-java (>= 2.4),
         libplexus-containers1.5-java,
         libplexus-interpolation-java,
         libplexus-sec-dispatcher-java,
         libplexus-utils2-java,
         libsisu-guice-java,
         libsisu-ioc-java,
         libwagon2-java (>= 2.2-2),
         ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-trax
DEB_ANT_CLEAN_TARGET := clean-bootstrap
DEB_ANT_BUILD_TARGET := maven-compile
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION) \
                        -Dmaven.home=/usr/share/maven2/ \
                        -Dmaven.repo.local=$(realpath $(DEB_BUILDDIR))/debian/tmp/maven-repo \
                        -Dmaven.test.skip=true
API_DOCS             := build/doc/api
BASE_MODULES         := apache-maven maven-artifact-manager maven-artifact \
			maven-core maven-error-diagnostics maven-model maven-monitor \
			maven-plugin-api maven-plugin-descriptor maven-plugin-parameter-documenter \
			maven-plugin-registry maven-profile maven-project maven-repository-metadata \
			maven-settings maven-toolchain

get-orig-source:
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

configure/$(PACKAGE)::
	mh_patchpoms -p$(PACKAGE)

makebuilddir/$(PACKAGE)::
	install -d $(DEB_BUILDDIR)/debian/tmp/maven-repo
	cp -rL /usr/share/maven-repo/* $(DEB_BUILDDIR)/debian/tmp/maven-repo/
	-rm $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar
	-ln -s /usr/share/java/maven-ant-tasks.jar $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar

install/$(PACKAGE)::
	mh_install -p$(PACKAGE)

binary-post-install/$(PACKAGE)::
	# compress manpages
	find $(DEB_BUILDDIR)/debian/$(PACKAGE)/usr/share/maven/man -type f | xargs gzip -9v -n

clean::
	mh_unpatchpoms -p$(PACKAGE)
	-rm -rf debian/tmp/mvn-repo
	-rm $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar
	-find . -name target -type d | xargs rm -rf

# No documentation released yet.
#binary-post-install/$(PACKAGE)-doc::

## maven 3.0.5

=== debian/changelog ===
maven (3.0.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #704261)
    - Refreshed the patches
  * Updated modello.diff to use Guava instead of Google Collections
    (Closes: #725588)
  * Updated maven-clean-plugin version from 2.3 to 2.5
  * Install generic 3.x artifacts in /usr/share/maven-repo (Closes: #698975)
  * Renamed the jars in /usr/share/java to maven3-xxx.jar to avoid conflicts
    with Maven 2
  * Installed versionless jars in /usr/share/java
  * debian/rules: Improved the clean target
  * debian/orig-tar.sh:
    - Use XZ compression for the upstream tarball
    - Reworked to pull the sources from the Apache Git repository
  * debian/watch: Updated to watch the tags on the Github mirror
  * Build depend on debhelper >= 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Oct 2013 22:49:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      libcommons-logging-java,
                      libeasymock-java,
                      libmaven-ant-tasks-java (>= 2.1.3-2),
-                     libmaven-clean-plugin-java,
+                     libmaven-clean-plugin-java (>= 2.5),
                      libmaven-compiler-plugin-java,
                      libmaven-install-plugin-java,
                      libmaven-jar-plugin-java,
@@ -26,7 +26,7 @@
                      libxmlunit-java,
                      maven-ant-helper,
                      maven-repo-helper
-Build-Depends: ant, cdbs, debhelper (>= 7), default-jdk
+Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk
 Standards-Version: 3.9.4
 Homepage: http://maven.apache.org/
 Vcs-Git: git://anonscm.debian.org/pkg-java/maven.git

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
 
 configure/$(PACKAGE)::
-	mh_patchpoms -p$(PACKAGE)
+	mh_patchpoms -p$(PACKAGE) --rules=debian/maven.buildRules
 
 makebuilddir/$(PACKAGE)::
 	install -d $(DEB_BUILDDIR)/debian/tmp/maven-repo
@@ -33,13 +33,27 @@
 	-ln -s /usr/share/java/maven-ant-tasks.jar $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar
 
 install/$(PACKAGE)::
-	mh_install -p$(PACKAGE)
+	mh_unpatchpoms -p$(PACKAGE)
+	
+	mh_installpoms -p$(PACKAGE)
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-aether-provider     maven-aether-provider/pom.xml     maven-aether-provider/target/maven-aether-provider-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-artifact            maven-artifact/pom.xml            maven-artifact/target/maven-artifact-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-compat              maven-compat/pom.xml              maven-compat/target/maven-compat-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-core                maven-core/pom.xml                maven-core/target/maven-core-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-embedder            maven-embedder/pom.xml            maven-embedder/target/maven-embedder-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-model               maven-model/pom.xml               maven-model/target/maven-model-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-model-builder       maven-model-builder/pom.xml       maven-model-builder/target/maven-model-builder-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-plugin-api          maven-plugin-api/pom.xml          maven-plugin-api/target/maven-plugin-api-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-repository-metadata maven-repository-metadata/pom.xml maven-repository-metadata/target/maven-repository-metadata-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-settings            maven-settings/pom.xml            maven-settings/target/maven-settings-$(VERSION).jar
+	mh_installjar -p$(PACKAGE) -l --usj-name=maven3-settings-builder    maven-settings-builder/pom.xml    maven-settings-builder/target/maven-settings-builder-$(VERSION).jar
 
 binary-post-install/$(PACKAGE)::
 	# compress manpages
 	find $(DEB_BUILDDIR)/debian/$(PACKAGE)/usr/share/maven/man -type f | xargs gzip -9v -n
 
 clean::
+	mh_clean
 	mh_unpatchpoms -p$(PACKAGE)
 	-rm -rf debian/tmp/mvn-repo
 	-rm $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar

## maven 3.3.3

=== debian/changelog ===
maven (3.3.3-3) unstable; urgency=medium

  * Team upload.
  * Update references to maven-plugin-plugin to version 3.3.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 04 Aug 2015 21:11:13 -0300

maven (3.3.3-2) unstable; urgency=medium

  * Team upload.
  * Install missing maven-builder-support POM file.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Jul 2015 22:14:55 -0300

maven (3.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #774745)
    - Require a Java 7 runtime
    - Refreshed the patches
    - Depend on libplexus-utils2-java >= 3.0.15
    - New dependency on libsisu-plexus-java (replaces libsisu-ioc-java)
    - New dependency on libeclipse-aether-java (replaces libaether-java)
    - New dependency on libslf4j-java
    - Updated the Maven version in the rules of debian/maven.buildRules
    - New build dependencies on liblogback-java, libmockito-java
      and libsisu-maven-plugin-java
    - No longer add the plexus-container-default dependency
      to maven-model-builder
    - Install the new logging directory in the conf directory
    - Install the guice dependencies (aopalliance and javax.inject)
      in the /usr/share/maven/lib/ directory
    - Install wagon-http-shared and its dependencies in /usr/share/maven/lib/
    - Build depend on junit4 instead of junit
    - Build depend on modello 1.8 instead of 1.4
    - Build and install the new maven-builder-support module
    - Added a Maven rule to keep using the old sisu-maven-plugin
      under the org.sonatype.plugins group currently in Debian
  * Moved the libraries to a separate libmaven3-core-java package
  * Removed the unused dependencies on commons-codec, commons-httpclient
    and commons-logging
  * Added a patch to run Maven in offline mode during the build
  * Updated maven-install-plugin version from 2.4 to 2.5.2
  * Updated maven-dependency-plugin version from 2.4 to 2.7
  * No longer build the apache-maven module

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 09 Jul 2015 14:57:53 +0200

maven (3.0.5-6) unstable; urgency=medium

  * Team upload.
  * Updated maven-surefire-plugin version from 2.10 to 2.17

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 22 Jun 2015 12:44:53 +0200

maven (3.0.5-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 23 May 2015 12:12:55 -0300

maven (3.0.5-4) experimental; urgency=medium

  * Team upload.
  * Refresh patch plugins_version.diff:
    - Bump maven-compiler-plugin version to be used with Maven 3, from
      2.5.1 to 3.2.
    - Update maven-antrun-plugin and maven-dependency-plugin versions to
      match current Debian versions.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 08 Mar 2015 19:25:12 -0300

maven (3.0.5-3) unstable; urgency=high

  * Team upload.
  * Use a secure connection by default to download artifacts
    from the Maven Central repository (Closes: #779331)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Feb 2015 17:56:07 +0100

maven (3.0.5-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Standards-Version updated to 3.9.6 (no changes)
  * Update Vcs-Browser and Homepage fields.

  [ tony mancill ]
  * Apply patch from Bas Couwenberg to bump plugin versions to 
    match version in Debian.  (Closes: #770608)

 -- tony mancill <tmancill@debian.org>  Sat, 20 Dec 2014 08:52:09 -0800

=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends-Indep: ant-optional,
                     junit4,
                     libeclipse-aether-java (>= 1.0),
                     libcommons-jxpath-java,
                     libcommons-logging-java,
                     libeasymock-java,
                     liblogback-java,
                     libmaven-ant-tasks-java (>= 2.1.3-2),
                     libmaven-clean-plugin-java (>= 2.5),
                     libmaven-compiler-plugin-java (>= 3.2),
                     libmaven-install-plugin-java,
                     libmaven-jar-plugin-java,
                     libmaven-parent-java,
                     libmaven-resources-plugin-java,
                     libmockito-java,
                     libmodello-maven-plugin-java (>= 1.8),
                     libplexus-classworlds2-java (>= 2.4),
                     libplexus-containers1.5-java (>= 1.5.5-2),
                     libplexus-utils2-java (>= 3.0.15),
                     libsisu-guice-java (>= 3.2.4),
                     libsisu-maven-plugin-java,
                     libsisu-plexus-java (>= 0.3.0),
                     libslf4j-java,
                     libsurefire-java (>= 2.17),
                     libwagon2-java (>= 2.2-2),
                     libxmlunit-java,
                     maven-ant-helper,
                     maven-repo-helper
Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/maven.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/maven.git
Homepage: http://maven.apache.org

Package: maven
Architecture: all
Depends: default-jre (>= 2:1.7) | default-jre-headless (>= 2:1.7) | java7-runtime | java7-runtime-headless,
         libmaven3-core-java (= ${source:Version}),
         ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features

Package: libmaven3-core-java
Architecture: all
Depends: libeclipse-aether-java (>= 1.0),
         libcommons-cli-java,
         libguava-java,
         libplexus-cipher-java,
         libplexus-classworlds2-java (>= 2.4),
         libplexus-containers1.5-java,
         libplexus-interpolation-java,
         libplexus-sec-dispatcher-java,
         libplexus-utils2-java,
         libsisu-guice-java,
         libsisu-plexus-java (>= 0.3.0),
         libslf4j-java,
         libwagon2-java (>= 2.2-2),
         ${misc:Depends}
Replaces: maven (<< 3.0.5-7)
Breaks: maven (<< 3.0.5-7)
Description: Core libraries for Maven 3
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
 .
 This package contains the core libraries for Maven 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-trax
DEB_ANT_CLEAN_TARGET := clean-bootstrap
DEB_ANT_BUILD_TARGET := maven-compile
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION) \
                        -Dmaven.home=/usr/share/maven2/ \
                        -Dmaven.repo.local=$(realpath $(DEB_BUILDDIR))/debian/tmp/maven-repo \
                        -Dmaven.test.skip=true
API_DOCS             := build/doc/api
BASE_MODULES         := apache-maven maven-artifact-manager maven-artifact maven-builder-support \
			maven-core maven-error-diagnostics maven-model maven-monitor \
			maven-plugin-api maven-plugin-descriptor maven-plugin-parameter-documenter \
			maven-plugin-registry maven-profile maven-project maven-repository-metadata \
			maven-settings maven-toolchain

get-orig-source:
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

configure/$(PACKAGE)::
	mh_patchpoms -plibmaven3-core-java --rules=debian/maven.buildRules

makebuilddir/$(PACKAGE)::
	install -d $(DEB_BUILDDIR)/debian/tmp/maven-repo
	cp -rL /usr/share/maven-repo/* $(DEB_BUILDDIR)/debian/tmp/maven-repo/
	-rm $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar
	-ln -s /usr/share/java/maven-ant-tasks.jar $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar

install/libmaven3-core-java::
	mh_unpatchpoms -plibmaven3-core-java
	
	mh_installpoms -plibmaven3-core-java
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-aether-provider     maven-aether-provider/pom.xml     maven-aether-provider/target/maven-aether-provider-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-artifact            maven-artifact/pom.xml            maven-artifact/target/maven-artifact-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-builder-support     maven-builder-support/pom.xml     maven-builder-support/target/maven-builder-support-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-compat              maven-compat/pom.xml              maven-compat/target/maven-compat-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-core                maven-core/pom.xml                maven-core/target/maven-core-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-embedder            maven-embedder/pom.xml            maven-embedder/target/maven-embedder-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-model               maven-model/pom.xml               maven-model/target/maven-model-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-model-builder       maven-model-builder/pom.xml       maven-model-builder/target/maven-model-builder-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-plugin-api          maven-plugin-api/pom.xml          maven-plugin-api/target/maven-plugin-api-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-repository-metadata maven-repository-metadata/pom.xml maven-repository-metadata/target/maven-repository-metadata-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-settings            maven-settings/pom.xml            maven-settings/target/maven-settings-$(VERSION).jar
	mh_installjar -plibmaven3-core-java -l --usj-name=maven3-settings-builder    maven-settings-builder/pom.xml    maven-settings-builder/target/maven-settings-builder-$(VERSION).jar

binary-post-install/$(PACKAGE)::
	# compress manpages
	find $(DEB_BUILDDIR)/debian/$(PACKAGE)/usr/share/maven/man -type f | xargs gzip -9v -n

clean::
	mh_clean
	mh_unpatchpoms -plibmaven3-core-java
	-rm -rf debian/tmp/mvn-repo
	-rm $(DEB_BUILDDIR)/maven-ant-tasks-2.1.1.jar
	-find . -name target -type d | xargs rm -rf
	-rm -f dependencies.xml

# No documentation released yet.
#binary-post-install/$(PACKAGE)-doc::

## maven 3.3.9

=== debian/changelog ===
maven (3.3.9-3) unstable; urgency=medium

  * Team upload.
  * Raised the priority for the /usr/bin/mvn alternative over Maven 2
    (Closes: #740955)
  * Declare that Maven 3.3.9 breaks gradle (<< 2.7-4) (Closes: #805985)
  * Updated the versions of the plugins in the super pom:
    - maven-dependency-plugin: 2.7 -> 2.8 (Closes: #807437)
    - maven-ear-plugin: 2.3.2 -> 2.8
    - maven-ejb-plugin: 2.2 -> 2.3
    - maven-resources-plugin: 2.3 -> 2.6
    - maven-war-plugin: 2.1.1 -> 2.2

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 Dec 2015 18:12:19 +0100

maven (3.3.9-2) unstable; urgency=medium

  * Team upload.
  * Updated the versions of the plugins in the super pom:
    - maven-antrun-plugin: 1.3 -> 1.7
    - maven-assembly-plugin: 2.2-beta-5 -> 2.4.1
    - maven-dependency-plugin: 2.8 -> 2.7
  * Removed the unnecessary dependencies on default-jre and java7-runtime

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Nov 2015 11:58:32 +0100

maven (3.3.9-1) unstable; urgency=medium

  * Team upload.
  *  New upstream release
    - Refreshed the patches
    - New dependency on libcommons-lang3-java
    - Depend on guice instead of sisu-guice
    - Depend on plexus-containers >= 1.6
    - Ignore maven-enforcer-plugin
    - Updated the Maven version in the rules of debian/maven.buildRules
  * Ensure the maven-ant-task doesn't attempt to download from the Internet

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 Nov 2015 19:34:44 +0100

maven (3.3.3-4) unstable; urgency=medium

  * Team upload.
  * Added the missing /usr/share/java/maven-builder-support-3.x.jar link
  * Fixed the pom patching logic and made the package buildable twice in a row
    (Closes: #792146)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Oct 2015 10:33:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Damien Raude-Morvan <drazzib@debian.org>
+Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Emmanuel Bourg <ebourg@apache.org>
 Build-Depends-Indep: ant-optional,
                      junit4,
                      libeclipse-aether-java (>= 1.0),
                      libcommons-jxpath-java,
+                     libcommons-lang3-java,
                      libcommons-logging-java,
                      libeasymock-java,
+                     libguice-java (>= 4.0),
                      liblogback-java,
                      libmaven-ant-tasks-java (>= 2.1.3-2),
                      libmaven-clean-plugin-java (>= 2.5),
@@ -16,13 +18,12 @@
                      libmaven-install-plugin-java,
                      libmaven-jar-plugin-java,
                      libmaven-parent-java,
-                     libmaven-resources-plugin-java,
+                     libmaven-resources-plugin-java (>= 2.6),
                      libmockito-java,
                      libmodello-maven-plugin-java (>= 1.8),
                      libplexus-classworlds2-java (>= 2.4),
-                     libplexus-containers1.5-java (>= 1.5.5-2),
+                     libplexus-containers1.5-java (>= 1.6),
                      libplexus-utils2-java (>= 3.0.15),
-                     libsisu-guice-java (>= 3.2.4),
                      libsisu-maven-plugin-java,
                      libsisu-plexus-java (>= 0.3.0),
                      libslf4j-java,
@@ -39,7 +40,7 @@
 
 Package: maven
 Architecture: all
-Depends: default-jre (>= 2:1.7) | default-jre-headless (>= 2:1.7) | java7-runtime | java7-runtime-headless,
+Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
          libmaven3-core-java (= ${source:Version}),
          ${misc:Depends}
 Replaces: maven2 (<< 2.2.1-11)
@@ -64,20 +65,21 @@
 Architecture: all
 Depends: libeclipse-aether-java (>= 1.0),
          libcommons-cli-java,
+         libcommons-lang3-java,
          libguava-java,
+         libguice-java (>= 4.0),
          libplexus-cipher-java,
          libplexus-classworlds2-java (>= 2.4),
-         libplexus-containers1.5-java,
+         libplexus-containers1.5-java (>= 1.6),
          libplexus-interpolation-java,
          libplexus-sec-dispatcher-java,
          libplexus-utils2-java,
-         libsisu-guice-java,
          libsisu-plexus-java (>= 0.3.0),
          libslf4j-java,
          libwagon2-java (>= 2.2-2),
          ${misc:Depends}
 Replaces: maven (<< 3.0.5-7)
-Breaks: maven (<< 3.0.5-7)
+Breaks: maven (<< 3.0.5-7), gradle (<< 2.7-4)
 Description: Core libraries for Maven 3
  Maven is a software project management and comprehension tool. Based on the
  concept of a project object model (POM), Maven can manage a project's build,

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
 
 configure/$(PACKAGE)::
+	mh_unpatchpoms -plibmaven3-core-java
 	mh_patchpoms -plibmaven3-core-java --rules=debian/maven.buildRules
 
 makebuilddir/$(PACKAGE)::

=== debian/watch ===
version=3
opts=uversionmangle=s/-(RC|alpha|beta)/~$1/ \
https://github.com/apache/maven/releases .*/maven-(.*).tar.gz debian debian/orig-tar.sh

## maven 3.5.0

=== debian/changelog ===
maven (3.5.0-5) unstable; urgency=medium

  * Team upload.
  * Fixed the link to the JSR 330 Dependency Injection API
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 05 Jul 2017 13:11:15 +0200

maven (3.5.0-4) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure with the latest version of Qdox (Closes: #866767)
  * Updated the maven-compiler-plugin version in the default bindings
    (3.2 -> 3.6.1)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Jul 2017 17:50:34 +0200

maven (3.5.0-3) unstable; urgency=medium

  * Team upload.
  * Updated the maven-antrun-plugin version in the super pom (1.7 -> 1.8)
  * Updated the Maven rule for sisu-maven-plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 01 Jul 2017 11:58:27 +0200

maven (3.5.0-2) unstable; urgency=medium

  * Team upload.
  * Updated the maven-plugin-plugin version in the default bindings (3.3 -> 3.5)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Jun 2017 15:16:16 +0200

maven (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Jun 2017 17:44:47 +0200

maven (3.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Replaced maven-aether-provider with maven-resolver-provider
    - Build and install the new maven-slf4j-provider module
    - Updated the man pages
    - No longer install commons-lang, jsoup and wagon-http-shared
      in /usr/share/maven/lib/
    - Depend on libcommons-cli-java (>= 1.4)
    - Depend on libplexus-interpolation-java (>= 1.24)
    - Depend on libplexus-utils2-java (>= 3.0.24)
    - Depend on libwagon2-java (>= 2.12)
    - Depend on libsisu-plexus-java (>= 0.3.3)
    - Build depend on libplexus-component-metadata-java (>= 1.7)
    - Build depend on libmodello-maven-plugin-java (>= 1.9.1)
  * Build with the DH sequencer instead of CDBS
  * Build with maven-debian-helper instead of Ant
  * Switch to debhelper level 10
  * No longer use debian/orig-tar.sh to download the upstream tarball
  * Removed the Maven rule for commons-lang3 (no longer use the 3.x artifact)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 23 May 2017 23:49:38 +0200

maven (3.3.9-4) unstable; urgency=medium

  * Team upload.
  * Set the maven.build.timestamp variable to the date defined by the
    SOURCE_DATE_EPOCH environment variable to make the Maven builds reproducible
  * Build depend on libplexus-component-metadata-java (>= 1.6)
    instead of libplexus-containers1.5-java
  * libmaven3-core-java now depends on libplexus-component-annotations-java
    instead of libplexus-containers1.5-java
  * Removed add_dependencies.diff (no longer required)
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Apr 2016 15:47:16 +0200

=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 10), default-jdk, maven-debian-helper
Build-Depends-Indep: junit4,
                     libcommons-cli-java (>= 1.4),
                     libcommons-jxpath-java,
                     libcommons-lang3-java (>= 3.4-2~),
                     libcommons-logging-java,
                     libeasymock-java,
                     libguice-java (>= 4.0),
                     liblogback-java,
                     libmaven-parent-java,
                     libmaven-resolver-java,
                     libmaven-shade-plugin-java,
                     libmaven-shared-utils-java (>= 3.1.0),
                     libmockito-java,
                     libmodello-maven-plugin-java (>= 1.9.1),
                     libplexus-classworlds2-java (>= 2.4),
                     libplexus-component-metadata-java (>= 1.7),
                     libplexus-interpolation-java (>= 1.24),
                     libplexus-utils2-java (>= 3.0.24),
                     libsisu-maven-plugin-java,
                     libsisu-plexus-java (>= 0.3.3),
                     libslf4j-java (>= 1.7.25),
                     libsurefire-java (>= 2.17),
                     libwagon2-java (>= 2.12),
                     libxmlunit-java
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-java/maven.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/maven.git
Homepage: http://maven.apache.org

Package: libmaven3-core-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}, libguice-java (>= 4.0), libeclipse-aether-java
Suggests: ${maven:OptionalDepends}
Replaces: maven (<< 3.0.5-7)
Breaks: maven (<< 3.0.5-7), gradle (<< 2.7-4)
Description: Core libraries for Maven 3
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
 .
 This package contains the core libraries for Maven 3.

Package: maven
Architecture: all
Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
         libmaven3-core-java (= ${source:Version}),
         libjansi-java,
         ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven

override_dh_install:
	dh_install

	# compress manpages
	find debian/maven/usr/share/maven/man -type f | xargs gzip -9v -n

get-orig-source:
	-uscan --download-current-version --force-download --rename

## maven 3.5.2

=== debian/changelog ===
maven (3.5.2-2) unstable; urgency=medium

  * Team upload.
  * Ignore the no_aop classifier on the guice dependency to work around
    a dependency resolution issue with maven-debian-helper
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 23 Feb 2018 17:38:55 +0100

maven (3.5.2-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove B-D on libplexus-classworlds2-java, it's not necessary anymore.

  [ Emmanuel Bourg ]
  * Use the 'debian' version of plexus-component-annotations
  * Removed the unused Maven rule for plexus-container-default

  [ Stephen Kitt ]
  * New upstream release.
  * Install NOTICE in the binary packages.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Feb 2018 23:21:17 +0100

maven (3.5.0-8) unstable; urgency=medium

  * Team upload.
  * Update /usr/share/maven/boot/plexus-classworlds-2.x.jar symlink.
    (Closes: #881433)
  * Add temporary B-D on libplexus-classworlds2-java to avoid a FTBFS
    caused by missing plexus-classworlds-2.x.jar symlink.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Nov 2017 19:41:48 +0000

maven (3.5.0-7) unstable; urgency=medium

  * Team upload.
  * Install the mvnyjp script into /usr/share/maven/bin/
  * Depend on libwagon-*-java instead of libwagon2-java
  * Depend on libplexus-classworlds-java instead of libplexus-classworlds2-java
  * Specified that gradle (<< 3.2.1-3~) is broken by the current release
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 11 Nov 2017 00:43:13 +0100

maven (3.5.0-6) unstable; urgency=medium

  * Team upload.
  * Removed the patch changing the default version of the core plugins.
    This ensures that the maven package is on par with the upstream
    distribution. Plugin packages are now responsible for redirecting
    the default version used by Maven to the current one.
  * Depend on maven-parent 27 and removed modello-configuration.patch
  * Removed the unused dependency on libeclipse-aether-java
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 Sep 2017 08:51:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 10), default-jdk, maven-debian-helper
+Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper
 Build-Depends-Indep: junit4,
                      libcommons-cli-java (>= 1.4),
                      libcommons-jxpath-java,
                      libcommons-lang3-java (>= 3.4-2~),
                      libcommons-logging-java,
                      libeasymock-java,
+                     libgeronimo-annotation-1.3-spec-java,
                      libguice-java (>= 4.0),
                      liblogback-java,
-                     libmaven-parent-java,
+                     libmaven-parent-java (>= 27),
                      libmaven-resolver-java,
                      libmaven-shade-plugin-java,
                      libmaven-shared-utils-java (>= 3.1.0),
                      libmockito-java,
                      libmodello-maven-plugin-java (>= 1.9.1),
-                     libplexus-classworlds2-java (>= 2.4),
+                     libplexus-classworlds-java (>= 2.5.2),
+                     libplexus-component-annotations-java (>= 1.7.1-6~),
                      libplexus-component-metadata-java (>= 1.7),
                      libplexus-interpolation-java (>= 1.24),
                      libplexus-utils2-java (>= 3.0.24),
@@ -26,19 +28,22 @@
                      libsisu-plexus-java (>= 0.3.3),
                      libslf4j-java (>= 1.7.25),
                      libsurefire-java (>= 2.17),
-                     libwagon2-java (>= 2.12),
+                     libwagon-file-java,
+                     libwagon-http-java,
+                     libwagon-http-shaded-java,
+                     libwagon-provider-api-java,
                      libxmlunit-java
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/maven.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/maven.git
 Homepage: http://maven.apache.org
 
 Package: libmaven3-core-java
 Architecture: all
-Depends: ${misc:Depends}, ${maven:Depends}, libguice-java (>= 4.0), libeclipse-aether-java
+Depends: ${misc:Depends}, ${maven:Depends}
 Suggests: ${maven:OptionalDepends}
 Replaces: maven (<< 3.0.5-7)
-Breaks: maven (<< 3.0.5-7), gradle (<< 2.7-4)
+Breaks: maven (<< 3.0.5-7), gradle (<< 3.2.1-3~)
 Description: Core libraries for Maven 3
  Maven is a software project management and comprehension tool. Based on the
  concept of a project object model (POM), Maven can manage a project's build,
@@ -62,6 +67,8 @@
 Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
          libmaven3-core-java (= ${source:Version}),
          libjansi-java,
+         libwagon-file-java,
+         libwagon-http-shaded-java,
          ${misc:Depends}
 Replaces: maven2 (<< 2.2.1-11)
 Breaks: maven2 (<< 2.2.1-11)

## maven 3.5.3

=== debian/changelog ===
maven (3.5.3-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Depend on libmaven-shared-utils-java (>= 3.2.1)
    - Depend on libmaven-parent-java (>= 31)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

  [ Stephen Kitt ]
  * Remove Damien from the uploaders list; thanks for all the work over
    the years! (Closes: #889396.)
  * Add myself to the uploaders.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Jun 2018 23:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Emmanuel Bourg <ebourg@apache.org>
+Uploaders: Emmanuel Bourg <ebourg@apache.org>, Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper
 Build-Depends-Indep: junit4,
                      libcommons-cli-java (>= 1.4),
@@ -13,10 +13,10 @@
                      libgeronimo-annotation-1.3-spec-java,
                      libguice-java (>= 4.0),
                      liblogback-java,
-                     libmaven-parent-java (>= 27),
+                     libmaven-parent-java (>= 31-2~),
                      libmaven-resolver-java,
                      libmaven-shade-plugin-java,
-                     libmaven-shared-utils-java (>= 3.1.0),
+                     libmaven-shared-utils-java (>= 3.2.1),
                      libmockito-java,
                      libmodello-maven-plugin-java (>= 1.9.1),
                      libplexus-classworlds-java (>= 2.5.2),
@@ -33,9 +33,9 @@
                      libwagon-http-shaded-java,
                      libwagon-provider-api-java,
                      libxmlunit-java
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/maven.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/maven.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/java-team/maven.git
+Vcs-Browser: https://salsa.debian.org/java-team/maven
 Homepage: http://maven.apache.org
 
 Package: libmaven3-core-java

## maven 3.5.4

=== debian/changelog ===
maven (3.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install the bash-completion script /usr/share/bash-completion/completions/
    instead of /etc/bash_completion.d/
  * Generate Java 8 compatible bytecode
  * Removed the qdox patch (fixed upstream)
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Oct 2018 11:15:23 +0200

## maven 3.6.0

=== debian/changelog ===
maven (3.6.0-1~18.04.1ubuntu0.1~esm1) bionic-security; urgency=medium

  * SECURITY UPDATE: Insufficient Verification of Data Authenticity
    - debian/patches/CVE-2021-26291.patch: Block HTTP repositories by default.
    - CVE-2021-26291 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Aug 2022 17:02:39 +0530

maven (3.6.0-1~18.04.1) bionic; urgency=medium

  [ Matthias Klose ]
  * Backport for OpenJDK 11. LP: #1818647.

  [ Tiago Stürmer Daitx ]
  * debian/maven.maintscript: remove obsolete /etc/bash_completion.d/maven
    file. LP: #1824010.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 09 Apr 2019 21:35:11 +0000

maven (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Generate Java 7 compatible bytecode

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Nov 2018 10:15:50 +0100

=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Emmanuel Bourg <ebourg@apache.org>,
 Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 junit4,
 libcommons-cli-java (>= 1.4),
 libcommons-jxpath-java,
 libcommons-lang3-java (>= 3.4-2~),
 libcommons-logging-java,
 libeasymock-java,
 libgeronimo-annotation-1.3-spec-java,
 libguice-java (>= 4.0),
 liblogback-java,
 libmaven-parent-java (>= 31-2~),
 libmaven-resolver-java,
 libmaven-shade-plugin-java,
 libmaven-shared-utils-java (>= 3.2.1),
 libmockito-java,
 libmodello-maven-plugin-java (>= 1.9.1),
 libplexus-classworlds-java (>= 2.5.2),
 libplexus-component-annotations-java (>= 1.7.1-6~),
 libplexus-component-metadata-java (>= 1.7),
 libplexus-interpolation-java (>= 1.24),
 libplexus-utils2-java (>= 3.0.24),
 libsisu-maven-plugin-java,
 libsisu-plexus-java (>= 0.3.3),
 libslf4j-java (>= 1.7.25),
 libsurefire-java (>= 2.17),
 libwagon-file-java,
 libwagon-http-java,
 libwagon-http-shaded-java,
 libwagon-provider-api-java,
 libxmlunit-java,
 maven-debian-helper
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/maven.git
Vcs-Browser: https://salsa.debian.org/java-team/maven
Homepage: http://maven.apache.org

Package: libmaven3-core-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Replaces: maven (<< 3.0.5-7)
Breaks: maven (<< 3.0.5-7), gradle (<< 3.2.1-3~)
Description: Core libraries for Maven 3
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
 .
 This package contains the core libraries for Maven 3.

Package: maven
Architecture: all
Depends:
 default-jre-headless (>= 2:1.7) | java7-runtime-headless,
 libjansi-java,
 libmaven3-core-java (= ${source:Version}),
 libwagon-file-java,
 libwagon-http-shaded-java,
 ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features

## maven 3.6.1

=== debian/changelog ===
maven (3.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on libplexus-utils2-java (>= 3.2)
    - Depend on libmodello-maven-plugin-java (>= 1.10)
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 20 Jul 2019 10:37:07 +0200
